package sun.java2d.loops;

import sun.java2d.pipe.Region;
import sun.java2d.SurfaceData;
import sun.java2d.SunGraphics2D;

class SetDrawPolygonsANY extends DrawPolygons
{
    SetDrawPolygonsANY() {
        super(SurfaceType.AnyColor, CompositeType.SrcNoEa, SurfaceType.Any);
    }
    
    @Override
    public void DrawPolygons(SunGraphics2D sunGraphics2D, SurfaceData surfaceData, int[] array, int[] array2, int[] array3, int n, int n2, int n3, boolean b) {
        PixelWriter solidPixelWriter = GeneralRenderer.createSolidPixelWriter(sunGraphics2D, surfaceData);
        int n4 = 0;
        Region compClip = sunGraphics2D.getCompClip();
        int n5;
        for (int i = 0; i < n; n4 += n5, ++i) {
            n5 = array3[i];
            GeneralRenderer.doDrawPoly(surfaceData, solidPixelWriter, array, array2, n4, n5, compClip, n2, n3, b);
        }
    }
}
